# This script is equivalent to the configureKAAJEE.cmd script.
# If this script is modified make sure to the other script to reflect
# those changes.
# --------------------- KAAJEE Edits Start --------------
# Custom SSPI classpath:

USERSTAGING=$DOMAIN_HOME/user_staged_config
echo 
echo "User Staging Area: $USERSTAGING"
echo 

ApacheCoonPool=$USERSTAGING/Distributions/kaajee_security_provider_1.1.0.002/common_pool_jars
commonpool=$ApacheCoonPool/commons-pool-1.2.jar
commondbcp=$ApacheCoonPool/commons-dbcp-1.2.1.jar
commoncollection=$ApacheCoonPool/commons-collections-3.1.jar
propertiesdir=$USERSTAGING/Distributions/kaajee_security_provider_1.1.0.002/props
sspidir=$USERSTAGING/Distributions/kaajee_security_provider_1.1.0.002/
sspijar=$USERSTAGING/Distributions/kaajee_security_provider_1.1.0.002/wlKaajeeSecurityProviders-1.1.0.002.jar

# setup the VLJ-specific Java command-line options for running the server
export JAVA_OPTIONS="$JAVA_OPTIONS -Dgov.va.med.environment.servertype=weblogic"
export JAVA_OPTIONS="$JAVA_OPTIONS -Dgov.va.med.environment.production=false"
export JAVA_OPTIONS="$JAVA_OPTIONS -Dweblogic.alternateTypesDirectory=$sspidir"

# --------------------- KAAJEE Edits End ----------------

# ------------ VistaLink Edits --------------
# Vistalink Classpath...

# TODO: This is to pick up the VistaLink config file. Move this to AppFileOverrides.
export VLJCLASSPATH=$USERSTAGING/Distributions/vistaLink16

echo "Vistalink Staging Area: $VLJCLASSPATH"

# TODO: This is more of a general override and not associated with KAAJEE. Move it
# somewhere else.
export CLASSPATH="$CLASSPATH:$USERSTAGING/Distributions"
export CLASSPATH="$CLASSPATH:$VLJCLASSPATH"
# set CLASSPATH=$CLASSPATH:$CLASSPATHSEP
# set CLASSPATH=$CLASSPATH:$MEDREC_WEBLOGIC_CLASSPATH
export CLASSPATH="$CLASSPATH:$propertiesdir"
export CLASSPATH="$CLASSPATH:$sspidir"
export CLASSPATH="$CLASSPATH:$sspijar"
export CLASSPATH="$CLASSPATH:$commonpool"
export CLASSPATH="$CLASSPATH:$commondbcp"
export CLASSPATH="$CLASSPATH:$commoncollection"
# TODO: This is more of a general override and not associated with KAAJEE. Move it
# somewhere else.
export CLASSPATH="$DOMAIN_HOME/localConfig:$CLASSPATH"
# ------------ End VistaLink Edits --------------
